org.eclipse.emf.cdo.view

## Class CDOViewEventProducer.CDOAttachingObjectEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.emf.cdo.view.CDOViewEventProducer.CDOAttachingObjectEvent

- All Implemented Interfaces:
    java.io.Serializable, CDOViewEvent, IEvent
  Enclosing class:
    CDOViewEventProducer

      public static final class CDOViewEventProducer.CDOAttachingObjectEvent
      extends Event
      implements CDOViewEvent

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `formatAdditionalParameters()`
    `CDOObject` | `getObject()`
    `CDOTransaction` | `getSource()`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSource

          public CDOTransaction getSource()

      Specified by:
        `getSource` in interface `CDOViewEvent`
      Specified by:
        `getSource` in interface `IEvent`
      Overrides:
        `getSource` in class `Event`

    - #### getObject

          public CDOObject getObject()

    - #### formatAdditionalParameters

          protected java.lang.String formatAdditionalParameters()

      Overrides:
        `formatAdditionalParameters` in class `Event`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html